<div class="container">
  <h1>Mes Avis</h1>

    <div class="card-deck mt-4">
      <div class="row">
          <% @avis.each do |avi| %>
            <% @locations.each do |location| %>
              <% if location.id == avi.location_id %>
                <div class="col" >
                  <div class="card"  style="width: 18rem">
                    <%= link_to location do %>
                      <%= image_tag(location.photos , style:"width: 18rem; height: 10rem", class: 'card-img-top') %>
                    <% end %>

                    <div class="card-body">
                      <h5 class="card-title" style="display: block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis;"><%= location.v_type %>, <%= location.titre %></h5>

                      <p>Ma note : <%= avi.note %>
                        <i class="fas fa-star" style="color:red;backgorund-color:red;"></i>
                      </p>
                      <p class="card-text">Mon commentaire : <%= avi.comment %> </p>
                    </div>
                    <div class="card-footer">
                      <div class="row" >
                        <div class="col" >
                          <%= link_to 'Modifier', edit_avi_path(avi),class: "btn btn-primary  btn-block", style: "color: white" %>
                        </div>
                        <div class="col"><!--extra div--></div>
                        <div class="col" >
                          <%= link_to 'Supprimer', avi, method: :delete, data: { confirm: 'Êtes vous sûr ?' },class: "btn btn-danger", style: "color: white" %>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
            <% end %>
          <% end %>
        <% end %>
    </div>
  </div>
</div>
